﻿using igGridMVCStatApplication.Models;
using Infragistics.Web.Mvc;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using igGridMVCStatApplication.Models;

namespace igGridMVCStatApplication.Controllers
{
    public class HomeController : Controller
    {
        // GET: /Home/
        public ActionResult Index()
        {
            return View();
        }

        [GridDataSourceAction]
        public ActionResult GetData()
        {
            var prod = Product.GetProductData().AsQueryable();
            return View("Index", prod);
        }

        public ActionResult OrdersSaveData()
        {
            GridModel gridModel = new GridModel();
            List<Transaction<Product>> transactions = gridModel.LoadTransactions<Product>(HttpContext.Request.Form["ig_transactions"]);
            //var additionalvalueAdded = transactions[0].row.ValueToAddInTransaction;
          //  var orders = RepositoryFactory.GetOrderRepository();
            //foreach (Transaction<Order> t in transactions)
            //{
            //    if (t.type == "newrow")
            //    {
            //        orders.Add(t.row);
            //    }
            //    else if (t.type == "deleterow")
            //    {
            //        orders.Delete(o => o.OrderID == Int32.Parse(t.rowId));
            //    }
            //    else if (t.type == "row")
            //    {
            //        var order = (from o in orders.Get()
            //                     where o.OrderID == Int32.Parse(t.rowId)
            //                     select o).Single();
            //        if (t.row.OrderDate != null)
            //        {
            //            order.OrderDate = t.row.OrderDate;
            //        }
            //        if (t.row.TotalPrice != null)
            //        {
            //            order.TotalPrice = t.row.TotalPrice;
            //        }
            //        if (t.row.TotalItems != null)
            //        {
            //            order.TotalItems = t.row.TotalItems;
            //        }
            //        if (t.row.CustomerID != null)
            //        {
            //            order.CustomerID = t.row.CustomerID;
            //        }
            //        if (t.row.ShipAddress != null)
            //        {
            //            order.ShipAddress = t.row.ShipAddress;
            //        }
            //        orders.Update(order, o => o.OrderID == Int32.Parse(t.rowId));
            //    }
            //}
            //orders.Save();
            JsonResult result = new JsonResult();
            Dictionary<string, bool> response = new Dictionary<string, bool>();
            response.Add("Success", false);
            result.Data = response;
            return result;
        }
    }
}
